regex.h File Reference
`#include <sys/types.h>`
Include dependency graph for regex.h:

Go to the source code of this file.

## Classes

struct | regex_t
struct | regmatch_t

## Macros

#define | _REGEX_H_ /* never again */
#define | REG_BASIC 0000
#define | REG_EXTENDED 0001
#define | REG_ICASE 0002
#define | REG_NOSUB 0004
#define | REG_NEWLINE 0010
#define | REG_NOSPEC 0020
#define | REG_PEND 0040
#define | REG_DUMP 0200
#define | REG_OKAY 0
#define | REG_NOMATCH 1
#define | REG_BADPAT 2
#define | REG_ECOLLATE 3
#define | REG_ECTYPE 4
#define | REG_EESCAPE 5
#define | REG_ESUBREG 6
#define | REG_EBRACK 7
#define | REG_EPAREN 8
#define | REG_EBRACE 9
#define | REG_BADBR 10
#define | REG_ERANGE 11
#define | REG_ESPACE 12
#define | REG_BADRPT 13
#define | REG_EMPTY 14
#define | REG_ASSERT 15
#define | REG_INVARG 16
#define | REG_ATOI 255 /* convert name to number (!) */
#define | REG_ITOA 0400 /* convert number to name (!) */
#define | REG_NOTBOL 00001
#define | REG_NOTEOL 00002
#define | REG_STARTEND 00004
#define | REG_TRACE 00400 /* tracing of execution */
#define | REG_LARGE 01000 /* force large representation */
#define | REG_BACKR 02000 /* force use of backref code */

## Typedefs

typedef off_t | regoff_t

## Functions

int | rcsb_regcomp (regex_t *, const char *, int)
size_t | regerror (int, const regex_t *, char *, size_t)
int | rcsb_regexec (const regex_t *, const char *, size_t, regmatch_t[], int)
void | rcsb_regfree (regex_t *)

## Macro Definition Documentation

## _REGEX_H_

#define _REGEX_H_ /* never again */

## REG_ASSERT

#define REG_ASSERT 15

## REG_ATOI

#define REG_ATOI 255 /* convert name to number (!) */

## REG_BACKR

#define REG_BACKR 02000 /* force use of backref code */

## REG_BADBR

#define REG_BADBR 10

## REG_BADPAT

#define REG_BADPAT 2

## REG_BADRPT

#define REG_BADRPT 13

## REG_BASIC

#define REG_BASIC 0000

## REG_DUMP

#define REG_DUMP 0200

## REG_EBRACE

#define REG_EBRACE 9

## REG_EBRACK

#define REG_EBRACK 7

## REG_ECOLLATE

#define REG_ECOLLATE 3

## REG_ECTYPE

#define REG_ECTYPE 4

## REG_EESCAPE

#define REG_EESCAPE 5

## REG_EMPTY

#define REG_EMPTY 14

## REG_EPAREN

#define REG_EPAREN 8

## REG_ERANGE

#define REG_ERANGE 11

## REG_ESPACE

#define REG_ESPACE 12

## REG_ESUBREG

#define REG_ESUBREG 6

## REG_EXTENDED

#define REG_EXTENDED 0001

## REG_ICASE

#define REG_ICASE 0002

## REG_INVARG

#define REG_INVARG 16

## REG_ITOA

#define REG_ITOA 0400 /* convert number to name (!) */

## REG_LARGE

#define REG_LARGE 01000 /* force large representation */

## REG_NEWLINE

#define REG_NEWLINE 0010

## REG_NOMATCH

#define REG_NOMATCH 1

## REG_NOSPEC

#define REG_NOSPEC 0020

## REG_NOSUB

#define REG_NOSUB 0004

## REG_NOTBOL

#define REG_NOTBOL 00001

## REG_NOTEOL

#define REG_NOTEOL 00002

## REG_OKAY

#define REG_OKAY 0

## REG_PEND

#define REG_PEND 0040

## REG_STARTEND

#define REG_STARTEND 00004

## REG_TRACE

#define REG_TRACE 00400 /* tracing of execution */

## Typedef Documentation

## regoff_t

typedef off_t regoff_t

## Function Documentation

## rcsb_regcomp()

int rcsb_regcomp | ( | regex_t * | ,
|  | const char * | ,
|  | int |
| ) |  |

extern

## rcsb_regexec()

int rcsb_regexec | ( | const regex_t * | ,
|  | const char * | ,
|  | size_t | ,
|  | regmatch_t | [],
|  | int |
| ) |  |

extern

## rcsb_regfree()

void rcsb_regfree | ( | regex_t * |  | ) |

extern

## regerror()

size_t regerror | ( | int | ,
|  | const regex_t * | ,
|  | char * | ,
|  | size_t |
| ) |  |

extern